Bug 70504 - xinetd.conf does not properly work with factorized addresses
xinetd.conf does not properly work with factorized addresses
Product: Red Hat Public Beta
Classification: Retired
Component: xinetd (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Brock Organ
: 72401 (view as bug list)
Depends On:
Blocks: 67218
  Show dependency treegraph
Reported: 2002-08-01 17:03 EDT by Ralph Rodriguez
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-02 01:53:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ralph Rodriguez 2002-08-01 17:03:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:
According to the man page, factorized addresses are allowed in xinetd
config files such as:
only_from = 192.168.0.{98,99}
In fact, when this is in an xinetd stanza, no clients can access the service.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Edit /etc/xinetd.d/telnet
2. Just before the closing curly brace, add the line:
3. only_from = 192.168.0.{98,99}
4. Run: service xinetd reload
5. Telnet to the system from a computer with one of those IP addrs
6. Note that you cannot telnet in.
7. Replace the line with a non-factorized address such as:
       only_from =
8. Note that you can now telnet in from that computer.

Actual Results:  Connection refused

Expected Results:  Connection allowed

Additional info:
Comment 1 Trond Eivind Glomsrxd 2002-08-01 19:08:42 EDT
It's fixed in the current devel version of xinetd. Waiting for a real release to
upgrade, though... (xinetd-2.3.6rc6)
Comment 2 Trond Eivind Glomsrxd 2002-08-23 15:43:13 EDT
2.3.7-1 has been built.
Comment 3 Trond Eivind Glomsrxd 2002-08-23 15:43:37 EDT
*** Bug 72401 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.